#
# spec file for package pigz
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           pigz
Version:        2.3.3
Release:        1.28
Summary:        Multi-core gzip version
License:        Zlib
Group:          Productivity/Archiving/Compression
Url:            http://www.zlib.net/pigz/
Source:         http://www.zlib.net/pigz/%{name}-%{version}.tar.gz
Patch:          pigz-fix-wrong-include.patch
Patch1:         pigz-fix-missing-linker.patch
BuildRequires:  glibc-devel
BuildRequires:  zlib-devel >= 1.2.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A parallel implementation of gzip for modern multi-processor,
multi-core machines

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make CC="gcc" CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_prefix}/bin
cp -v pigz %{buildroot}%{_bindir}/
ln -sv pigz %{buildroot}%{_bindir}/unpigz

#man page
mkdir -p %{buildroot}/%{_mandir}/man1/
cp -v pigz.1 %{buildroot}/%{_mandir}/man1/
gzip %{buildroot}/%{_mandir}/man1/pigz.1
ln -sv pigz.1.gz %{buildroot}/%{_mandir}/man1/unpigz.1

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man1/pigz.1.gz
%{_mandir}/man1/unpigz.1.gz
%{_bindir}/pigz
%{_bindir}/unpigz

%changelog
